//
//  BMICalcViewController.h
//  BMICalc
//

#import <UIKit/UIKit.h>
#import <EventKit/EventKit.h>
#import <iAd/iAd.h>

@interface BMICalcViewController : UIViewController<UITextFieldDelegate, ADBannerViewDelegate> {
	
	IBOutlet UITextField *heightText; // 身長テキストフィールド
    IBOutlet UITextField *weightText; // 体重テキストフィールド
    IBOutlet UIButton *calcButton;    // 計算ボタン
    IBOutlet UIButton *resetButton;   // リセットボタン
    IBOutlet UILabel *resultLabel;    // 結果ラベル
	
	IBOutlet UIButton *saveButton;    // 記録ボタン
	NSString *bmiStr;                 // BMI検索結果
	NSString *result;                 // 判定結果コメント
	EKEventStore *eventStore;         // カレンダーデータベースアクセスオブジェクト
	
	ADBannerView *adView;             // 広告バナービュー
	BOOL bannerIsVisible;             // 広告表示中を表すフラグ
}

@property (nonatomic, retain) UITextField *heightText;
@property (nonatomic, retain) UITextField *weightText;
@property (nonatomic, retain) UIButton *calcButton;
@property (nonatomic, retain) UIButton *resetButton;
@property (nonatomic, retain) UILabel *resultLabel;
@property (nonatomic, retain) UIButton *saveButton;
@property (nonatomic, retain) NSString *bmiStr;
@property (nonatomic, retain) NSString *result;
@property (nonatomic, retain) EKEventStore *eventStore;
@property (nonatomic, retain) ADBannerView *adView;
@property (nonatomic, assign) BOOL bannerIsVisible;

// 計算ボタンを押したときに呼ばれるメソッド
-(IBAction)executeCalc:(id)sender;

// リセットボタンを押したときに呼ばれるメソッド
-(IBAction)executeReset:(id)sender;

// 記録ボタンを押したときに呼ばれるメソッド
-(IBAction)executeSave:(id)sender;

@end